# Class goog.events.EventId.`<T>`

code »

A templated class that is used when registering for events. Typical usage: `/** @type {goog.events.EventId.<MyEventObj>} var myEventId = new goog.events.EventId( goog.events.getUniqueId(('someEvent')); // No need to cast or declare here since the compiler knows the correct // type of 'evt' (MyEventObj). something.listen(myEventId, function(evt) {});`

## Constructor

goog.events.EventId ( eventId )

Parameters

eventId

Show:Public Protected Private

## Instance Methods

code »toString ( ) ⇒ `string`

## Instance Properties

code »id : `string`